FilterRegistration (Servlet 4.0 API Documentation - Apache Tomcat 9.0.37)

javax.servlet

## Interface FilterRegistration

- All Superinterfaces:
    Registration
  All Known Subinterfaces:
    FilterRegistration.Dynamic

      public interface FilterRegistration
      extends Registration

  Since:
    Servlet 3.0 TODO SERVLET3 - Add comments

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FilterRegistration.Dynamic`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMappingForServletNames(java.util.EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, java.lang.String... servletNames)` Add a mapping for this filter to one or more named Servlets.
    `void` | `addMappingForUrlPatterns(java.util.EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, java.lang.String... urlPatterns)` Add a mapping for this filter to one or more URL patterns.
    `java.util.Collection<java.lang.String>` | `getServletNameMappings()`
    `java.util.Collection<java.lang.String>` | `getUrlPatternMappings()`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Method Detail

    - #### addMappingForServletNames

          void addMappingForServletNames(java.util.EnumSet<DispatcherType> dispatcherTypes,
                                         boolean isMatchAfter,
                                         java.lang.String... servletNames)

      Add a mapping for this filter to one or more named Servlets.
      Parameters:
        `dispatcherTypes` - The dispatch types to which this filter should apply
        `isMatchAfter` - Should this filter be applied after any mappings defined in the deployment descriptor (`true`) or before?
        `servletNames` - Requests mapped to these servlets will be processed by this filter
      Throws:
        `java.lang.IllegalArgumentException` - if the list of servlet names is empty or null
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getServletNameMappings

          java.util.Collection<java.lang.String> getServletNameMappings()

      Returns:
        TODO

    - #### addMappingForUrlPatterns

          void addMappingForUrlPatterns(java.util.EnumSet<DispatcherType> dispatcherTypes,
                                        boolean isMatchAfter,
                                        java.lang.String... urlPatterns)

      Add a mapping for this filter to one or more URL patterns.
      Parameters:
        `dispatcherTypes` - The dispatch types to which this filter should apply
        `isMatchAfter` - Should this filter be applied after any mappings defined in the deployment descriptor (`true`) or before?
        `urlPatterns` - The URL patterns to which this filter should be applied
      Throws:
        `java.lang.IllegalArgumentException` - if the list of URL patterns is empty or null
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getUrlPatternMappings

          java.util.Collection<java.lang.String> getUrlPatternMappings()

      Returns:
        TODO

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.